Name: vixie-cron
Version: 3.0.1
Release: ipl57mdk

Summary: The Vixie cron daemon for executing specified programs at set times
License: distributable
Group: System/Servers
Url: ftp://ftp.vix.com/pub/vixie/

Source0: %name-3.0.1.tar.bz2
Source1: %name.init
Source2: crontab.control

Patch: %name-3.0.1-alt-fixes.patch

Provides: %_sysconfdir/cron.d
PreReq: shadow-utils, control
Requires(post,preun): service
Requires: vitmp, sysklogd >= 1.3.33-ipl2mdk

%description
The %name package contains the Vixie version of cron.  Cron is a
standard UNIX daemon that runs specified programs at scheduled times.
Vixie cron adds better security and more powerful configuration
options to the standard version of cron.

%prep
%setup -q
%patch -p1

%build
%add_optflags -DLINT
%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_sbindir,%_mandir/man{1,5,8},%_sysconfdir/cron.d,/var/spool/cron}
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/crond
%__install -pD -m755 %SOURCE2 $RPM_BUILD_ROOT/etc/control.d/facilities/crontab

%pre
/usr/sbin/groupadd -r -f crontab
[ $1 -eq 1 ] || /usr/sbin/control-dump crontab

%post
[ $1 -eq 1 ] || /usr/sbin/control-restore crontab
%post_service crond

%preun
%preun_service crond

%files
%_sbindir/*
%attr(2711,root,crontab) %_bindir/crontab
%_mandir/man?/*
%config /etc/control.d/facilities/crontab
%config(noreplace) /etc/crontab.template
%config %_initdir/crond
%attr(3730,root,crontab) %dir /var/spool/cron
%attr(750,root,root) %dir %_sysconfdir/cron.d
%doc CHANGES FEATURES README THANKS

%changelog
* Fri Apr 25 2003 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl57mdk
- Daemonize properly (#0002546).
- Clear environment at startup.
- Use proper default PATH value.
- Rewritten start/stop script to new rc scheme.

* Mon Nov 18 2002 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl56mdk
- crontab: added /etc/crontab.template support.

* Sun Oct 13 2002 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl55mdk
- Rediffed our unified patch.
- Compiled with -DLINT, to ignore rcsid[] stuff.
- Added control support for crontab.

* Wed Sep 25 2002 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl54mdk
- Provides: %_sysconfdir/cron.d

* Fri May 17 2002 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl53mdk
- Ensure all files are closed in crontab(1) when the editor is run.
- Set default crontab(1) editor to vitmp(1).

* Thu May 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0.1-ipl52mdk
- Use service macros.
- Fixed tmp files handling in crontab.

* Wed May 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0.1-ipl51mdk
- Made unified patch.
- Added shadow-utils to prereqs.
- Skip junk files from /var/spool/cron and %_sysconfdir/cron.d

* Mon May 14 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.1-ipl50mdk
- Add new patches from MDK and Owl.

* Fri Feb 23 2001 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl49mdk
- Fixed build with glibc-2.2.2

* Wed Feb 14 2001 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl48mdk
- Fixed some strcpy calls.

* Mon Feb 12 2001 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl47mdk
- Enhanced error reporting.
- Account for shifts in system clock (rh).

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl46mdk
- Added PreReq on initscripts.

* Thu Sep 14 2000 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl45mdk
- RE adaptions.

* Tue Sep 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-45mdk
- force crond to use syslog.

* Mon Aug 21 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.0.1-44mdk
- Macro's
- BM
- /etc/rc.d/init.d --> /etc/init.d
- Geoff <snailtalk@mandrakesoft.com> no we actually use _initrddir ..

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.1-43mdk
- remove useless man-pages compression and let spec-helper work

* Sat Jul 15 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed way manpages are compressed, use find instead of for

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.0.1-42mdk
- Fixed group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 3.0.1-41mdk
- Added PPC patches

* Tue Jan 11 2000 Pixel <pixel@linux-mandrake.com>
- non root build

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Move some to from %postun to %preun.
- Merge with redhat patchs.

* Thu Apr 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- add note to man page about DST conversion causing strangeness
- documented cron.d patch

* Tue Apr 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- improved cron.d patch

* Mon Apr 12 1999 Erik Troan <ewt@redhat.com>
- added cron.d patch

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- clean up log files on deinstallation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 28)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- reset SIGCHLD before grandchild execle (problem #732)

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- added a patch to get rid of the dangerous sprintf() calls
- added BuildRoot and Prereq: /sbin/chkconfig

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed cron/crond dichotomy in init file.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- fixed bad init symlinks

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- force it to use SIGCHLD instead of defunct SIGCLD

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated for chkconfig
- added status, restart options to init script

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Feb 19 1997 Erik Troan <ewt@redhat.com>
- Switch conditional from "axp" to "alpha"

